Access

List instance invitations

GET
/api/access/invitations

Authorization

sessionCookie
cookiebetter-auth.session_token<token>

The Better Auth email/password session cookie used by the web application.

Response Body

Response for status 200

application/json
  1. response
invitations*array<>
Example Request
curl -X GET 'https://postbot.example/api/access/invitations'
Example Response
{
  "invitations": [
    {
      "id": "string",
      "targetEmail": "string",
      "instanceRole": "member",
      "state": "pending",
      "createdByUserId": "string",
      "expiresAt": 0,
      "acceptedAt": 0,
      "acceptedByUserId": "string",
      "revokedAt": 0,
      "createdAt": 0,
      "updatedAt": 0
    }
  ]
}

Was this page helpful?